Create Invoice: Yardi REST
Betahttps://api.propexo.com/v1/invoices/yardi_rest/| Interface | Method |
|---|---|
| Vendor Invoicing | /ItfVendorInvoicing/ImportPayables |
Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Request
This endpoint expects an object.
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The invoice or reference number that the vendor assigned to the service request
The post month for the invoice. We will strip all data out of the datetime except the year and month.
Show 2 variants
The date of issuance for the invoice
The due date associated with the invoice
Notes associated with the invoice
The amount of the invoice, in cents
The expense type of the invoice. You'll have to request this data from your customer
The display type of the invoice. You'll have to request this data from your customer
invoice_items object[]required
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account
The amount of the invoice item, in cents
Notes associated with the invoice item
Response
Successful response
- string<date-time>
- stringPattern:
^\d{4}-\d{2}-\d{2}$ - Array [
- ]
meta objectrequired
result objectrequired
The Propexo unique identifier for the integration
The Propexo unique identifier for the vendor
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The Propexo unique identifier for the financial account. You'll likely want to work with your customer to know what value is appropriate here.
The invoice or reference number that the vendor assigned to the service request
Show 2 variants
The date of issuance for the invoice
The due date associated with the invoice
Notes associated with the invoice
The amount of the invoice, in cents
The expense type of the invoice. You'll have to request this data from your customer
The display type of the invoice. You'll have to request this data from your customer
invoice_items object[]required
The Propexo unique identifier for the property
The Propexo unique identifier for the financial account
The amount of the invoice item, in cents
Notes associated with the invoice item
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X POST https://api.propexo.com/v1/invoices/yardi_rest/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"vendor_id": "string",
"cash_financial_account_id": "string",
"ap_financial_account_id": "string",
"invoice_number": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"total_amount_in_cents": 0,
"expense_type": "string",
"display_type": "string",
"invoice_items": [
{
"property_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string"
}
]
}'
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"vendor_id": "string",
"cash_financial_account_id": "string",
"ap_financial_account_id": "string",
"invoice_number": "string",
"post_month": "2024-07-29T15:51:28.071Z",
"invoice_date": "2024-07-29T15:51:28.071Z",
"due_date": "2024-07-29T15:51:28.071Z",
"notes": "string",
"total_amount_in_cents": 0,
"expense_type": "string",
"display_type": "string",
"invoice_items": [
{
"property_id": "string",
"financial_account_id": "string",
"total_amount_in_cents": 0,
"notes": "string"
}
]
}
}